
cbuffer vars : register(b0)
{
	float uTime;
}

struct PSInput
{
	float4 Color : COLOR;
	float2 UV : TEXCOORD;
};

Texture2D tex : register(t0);
SamplerState smp : register(s0);

float4 main(PSInput pin) : SV_TARGET
{
	return tex.Sample(smp, pin.UV) * (cos(uTime * 2) * 0.25f + 0.75f);
}
